# DAV-4-TbSync
If this provider Add-On is installed alongside of TbSync, TbSync is able to sync CalDAV/CardDAV accounts. This provider is closely following the specs defined by sabre/dav.

Most servers provide the discovery service, which allows to use just the plain server name (FQDN) like "cloud.server.com" as server URL. TbSync will find all available calendars and address books and there is no need to know any specific URLs for individual address books or calendars. If this does not work because your server does not provide the discovery service, you have to enter the full path to the dav server itself, like "cloud.server.com/SOGo/dav".

This provider is not actually implementing the CalDAV protocol, but will add the found calendars to lightning and let lightning handle the sync. 

## Image of the CalDAV/CardDAV provider hooked into TbSync:

![image](https://raw.githubusercontent.com/jobisoft/DAV-4-TbSync/master/screenshots/AddAccount.png)

## Compatibility list

DAV-4-TbSync is known to work with the following service providers:
* fruux.com
* gmx.de
* posteo.de
* mailbox.org

Furthermore, DAV-4-TbSync is known to work with the following server systems:
* sabre/dav
* ownCloud
* Nextcloud
* SOGo

## Multiple connections to the same server authenticated with different users

Thunderbird has problems connecting to the same server authenticating with different users. TbSync can bypass this issue by adding the credentials directly to the URL (i.e. https://user:password@host.tld). Set

*extensions.dav4tbsync.addCredentialsToUrl = true*

to activate this behaviour. If this still does not work for you, also set

*network.cookie.cookieBehavior = 1*



## Icon sources and attributions

#### CC-BY 3.0
* [ics16.png] by [FatCow Web Hosting](https://www.iconfinder.com/icons/35803/)
